# open this flag when support gi-docgen in the future
%bcond_with docs

Summary:       GLib wrapper around libusb1
Name:          libgusb
Version:       0.4.6
Release:       4%{?dist}
License:       LGPLv2+
URL:           https://github.com/hughsie/libgusb
Source0:       http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz

BuildRequires: glib2-devel json-glib-devel gobject-introspection-devel
BuildRequires: libusb1-devel umockdev-devel meson vala

%if %{with docs}
BuildRequires: gi-docgen
%endif

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do asynchronous control,
bulk and interrupt transfers with proper cancellation and integration into a mainloop.
This makes it easy to integrate low level USB transfers with your high-level application
or system daemon.

%package       devel
Summary: Libraries and headers for gusb
Requires: %{name} = %{version}-%{release}

%description   devel
GLib headers and libraries for gusb.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dvapi=true -Dtests=true \
-Ddocs=\
%if %{with docs}
true
%else
false
%endif

%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md AUTHORS NEWS
%{_libdir}/libgusb.so.?
%{_libdir}/libgusb.so.?.0.*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files devel
%{_datadir}/doc/libgusb
%{_includedir}/gusb-1
%{_bindir}/gusbcmd
%{_libdir}/libgusb.so
%{_libdir}/pkgconfig/gusb.pc
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_datadir}/vala/vapi/gusb.deps
%{_datadir}/vala/vapi/gusb.vapi

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Shuo Wang <abushwang@tencent.com> - 0.4.6-1
- update to 0.4.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 1 2022 Shuo Wang <abushwang@tencent.com> - 0.4.2-1
- initial build
